*{
	/*lowest priority universal*/
	margin: 0;
	padding: 0;
	box-sizing: border-box;

	/*By default our element's border,padding and content are calculation on top of the content*/

}
#div1 {
	/*margin is space generated otside of the element,*/
	/*border is the space between your margin and padding*/
	/*padding is space generated inside the element, between our border and our content*/
	/*margin and paddings have four direction they can be added at the top,bottom,left or right*/
	/*margin: <value> - adds gargin on all sides*/
	/*margin: <topAndbottom> <leftAndright>*/
	/*margin: <top>  <leftAndright> <bottom>*/
	/*margin: <top>  <right> <bottom> <left>*/
/*	margin: 100px 10px 5px 50px;*/


	border: 2px solid black;
	padding: 20px;
	background-color: red;
	height: 100px;
	width: 100px;
	display: inline-block;
	vertical-align: top;

	/*	without box-sizing or the default
			
			Width is calculated is like this: ;

			2px left border + 20px left padding + 10px width + 20px right + 2px right border = 144px

			box-sizing:  content-box
			box-sizing property allows to determine how we calculate the size of elements.

			with box-sizing: 

			Witdh is calculated like this:
			2px left border + 20px left padding + 56px content width +20px right padding +2px right border = 100px

			box-sizing:  border box; border and padding is included in the total  width of our element.

			inline vs block vs inline-block

			block will occupy the whole width of its parent therefore it breaks the line. However we can manipulate the height and width of our block element.

			inline will only occupy the size of its content. you can't set the width and the height of an inline element. This will then display elements beside each other.

			inline-block works almost like an inline element wherein it will not start on a new line and will put elements beside each other. However, with inline-block, you can set the width and the height.
			
			vertical-align:top will allow us to aligh our items vertically from the top. it is usually use in conjunction witj inline-block elements.
	*/


}

#div2 {
	border: 2px solid black;
	padding: 20px;
	background-color: orange;
	height: 100px;
	width: 100px;
	display: inline-block;
	vertical-align: top;

}

#span1 {
	display: inline-block;
	border: 2px solid black;
	background-color: green;
	height: 100px;
	width: 100px;
}

#span2 {
	display: inline-block;
	border: 2px solid black;
	background-color: blue;
	height: 100px;
	width: 100px;
}